Skip to main content
POST
Execute Evaluation

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

db_id
string | null

Database ID to use for evaluation

Body

application/json
eval_type
enum<string>
required
Available options:
accuracy,
performance,
reliability
input
string
required
agent_id
string | null
team_id
string | null
model_id
string | null
model_provider
string | null
additional_guidelines
string | null
additional_context
string | null
num_iterations
integer | null
default:1
name
string | null
expected_output
string | null
warmup_runs
integer | null
default:0
expected_tool_calls
string[] | null

Response

Evaluation executed successfully

id
string
required
eval_type
enum<string>
required
Available options:
accuracy,
performance,
reliability
eval_data
Eval Data · object
required
agent_id
string | null
model_id
string | null
model_provider
string | null
team_id
string | null
workflow_id
string | null
name
string | null
evaluated_component_name
string | null
eval_input
Eval Input · object | null
created_at
string<date-time> | null
updated_at
string<date-time> | null